package com.frist008.nixlibrary;

import android.database.Cursor;
import android.net.Uri;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentActivity;
import android.widget.CursorTreeAdapter;
import android.widget.ExpandableListView;

import com.frist008.nixlibrary.database.Sort;

@SuppressWarnings("unused")
public class NixCursorExpandableListLoader extends NixCursorLoader<ExpandableListView> {

	protected NixCursorExpandableListLoader(@Nullable Fragment fragment,
	                                        @NonNull FragmentActivity activity,
	                                        @NonNull ExpandableListView expandableListView,
	                                        int loaderId,
	                                        @Nullable OnChangeCursorBeforeListener listenerBefore,
	                                        @Nullable OnChangeCursorAfterListener listenerAfter,
	                                        @Nullable OnChangeWhereListener selectListener,
	                                        @NonNull Uri uri,
	                                        @Nullable String[] projection,
	                                        @Nullable Sort sortOrder,
	                                        @Nullable String selection,
	                                        @Nullable String... args) {
		super(fragment,
		      activity,
		      expandableListView,
		      loaderId,
		      listenerBefore,
		      listenerAfter,
		      selectListener,
		      uri,
		      projection,
		      sortOrder,
		      selection,
		      args);
	}

	@Override
	protected void changeCursor(@NonNull ExpandableListView expandableListView,
	                            @Nullable Cursor cursor) {
		((CursorTreeAdapter) expandableListView.getAdapter()).changeCursor(cursor);
		super.changeCursor(expandableListView, cursor);
	}
}
