package com.frist008.nixlibrary;

import android.database.Cursor;
import android.net.Uri;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentActivity;
import android.widget.AbsListView;

import com.frist008.nixlibrary.database.Sort;

@SuppressWarnings("unused")
public class NixCursorListLoader extends NixCursorLoader<AbsListView> {

	protected NixCursorListLoader(@Nullable Fragment fragment,
	                              @NonNull FragmentActivity activity,
	                              @NonNull AbsListView absLV,
	                              int loaderId,
	                              @Nullable OnChangeCursorBeforeListener listenerBefore,
	                              @Nullable OnChangeCursorAfterListener listenerAfter,
	                              @Nullable OnChangeWhereListener selectListener,
	                              @NonNull Uri uri,
	                              @Nullable String[] projection,
	                              @Nullable Sort sortOrder,
	                              @Nullable String selection,
	                              @Nullable String... args) {
		super(fragment,
		      activity,
		      absLV,
		      loaderId,
		      listenerBefore,
		      listenerAfter,
		      selectListener,
		      uri,
		      projection,
		      sortOrder,
		      selection,
		      args);
	}

	@Override
	protected void changeCursor(@NonNull AbsListView absListView, @Nullable Cursor cursor) {
		LoaderUtils.changeCursor(absListView, cursor);
		super.changeCursor(absListView, cursor);
	}
}
